IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/92
Addresses2^36
/64 networksPart of one
- Network
2001:db8::350:0:0/92- First address
2001:db8::350:0:0- Last address
2001:db8::35f:ffff:ffff- Addresses
- 68,719,476,736 (2^36)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0000:0350:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
5.3.0.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::350:0:0/92 makes 4,096 subnets of /104; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::350:0:0/104 | 2001:db8::350:ff:ffff |
| 2 | 2001:db8::350:100:0/104 | 2001:db8::350:1ff:ffff |
| 3 | 2001:db8::350:200:0/104 | 2001:db8::350:2ff:ffff |
| 4 | 2001:db8::350:300:0/104 | 2001:db8::350:3ff:ffff |
| 5 | 2001:db8::350:400:0/104 | 2001:db8::350:4ff:ffff |
| 6 | 2001:db8::350:500:0/104 | 2001:db8::350:5ff:ffff |
| 7 | 2001:db8::350:600:0/104 | 2001:db8::350:6ff:ffff |
| 8 | 2001:db8::350:700:0/104 | 2001:db8::350:7ff:ffff |
| 9 | 2001:db8::350:800:0/104 | 2001:db8::350:8ff:ffff |
| 10 | 2001:db8::350:900:0/104 | 2001:db8::350:9ff:ffff |
| 11 | 2001:db8::350:a00:0/104 | 2001:db8::350:aff:ffff |
| 12 | 2001:db8::350:b00:0/104 | 2001:db8::350:bff:ffff |
| 13 | 2001:db8::350:c00:0/104 | 2001:db8::350:cff:ffff |
| 14 | 2001:db8::350:d00:0/104 | 2001:db8::350:dff:ffff |
| 15 | 2001:db8::350:e00:0/104 | 2001:db8::350:eff:ffff |
| 16 | 2001:db8::350:f00:0/104 | 2001:db8::350:fff:ffff |
| 17 | 2001:db8::350:1000:0/104 | 2001:db8::350:10ff:ffff |
| 18 | 2001:db8::350:1100:0/104 | 2001:db8::350:11ff:ffff |
| 19 | 2001:db8::350:1200:0/104 | 2001:db8::350:12ff:ffff |
| 20 | 2001:db8::350:1300:0/104 | 2001:db8::350:13ff:ffff |
| 21 | 2001:db8::350:1400:0/104 | 2001:db8::350:14ff:ffff |
| 22 | 2001:db8::350:1500:0/104 | 2001:db8::350:15ff:ffff |
| 23 | 2001:db8::350:1600:0/104 | 2001:db8::350:16ff:ffff |
| 24 | 2001:db8::350:1700:0/104 | 2001:db8::350:17ff:ffff |
| 25 | 2001:db8::350:1800:0/104 | 2001:db8::350:18ff:ffff |
| 26 | 2001:db8::350:1900:0/104 | 2001:db8::350:19ff:ffff |
| 27 | 2001:db8::350:1a00:0/104 | 2001:db8::350:1aff:ffff |
| 28 | 2001:db8::350:1b00:0/104 | 2001:db8::350:1bff:ffff |
| 29 | 2001:db8::350:1c00:0/104 | 2001:db8::350:1cff:ffff |
| 30 | 2001:db8::350:1d00:0/104 | 2001:db8::350:1dff:ffff |
| 31 | 2001:db8::350:1e00:0/104 | 2001:db8::350:1eff:ffff |
| 32 | 2001:db8::350:1f00:0/104 | 2001:db8::350:1fff:ffff |
| 33 | 2001:db8::350:2000:0/104 | 2001:db8::350:20ff:ffff |
| 34 | 2001:db8::350:2100:0/104 | 2001:db8::350:21ff:ffff |
| 35 | 2001:db8::350:2200:0/104 | 2001:db8::350:22ff:ffff |
| 36 | 2001:db8::350:2300:0/104 | 2001:db8::350:23ff:ffff |
| 37 | 2001:db8::350:2400:0/104 | 2001:db8::350:24ff:ffff |
| 38 | 2001:db8::350:2500:0/104 | 2001:db8::350:25ff:ffff |
| 39 | 2001:db8::350:2600:0/104 | 2001:db8::350:26ff:ffff |
| 40 | 2001:db8::350:2700:0/104 | 2001:db8::350:27ff:ffff |
| 41 | 2001:db8::350:2800:0/104 | 2001:db8::350:28ff:ffff |
| 42 | 2001:db8::350:2900:0/104 | 2001:db8::350:29ff:ffff |
| 43 | 2001:db8::350:2a00:0/104 | 2001:db8::350:2aff:ffff |
| 44 | 2001:db8::350:2b00:0/104 | 2001:db8::350:2bff:ffff |
| 45 | 2001:db8::350:2c00:0/104 | 2001:db8::350:2cff:ffff |
| 46 | 2001:db8::350:2d00:0/104 | 2001:db8::350:2dff:ffff |
| 47 | 2001:db8::350:2e00:0/104 | 2001:db8::350:2eff:ffff |
| 48 | 2001:db8::350:2f00:0/104 | 2001:db8::350:2fff:ffff |
| 49 | 2001:db8::350:3000:0/104 | 2001:db8::350:30ff:ffff |
| 50 | 2001:db8::350:3100:0/104 | 2001:db8::350:31ff:ffff |
| 51 | 2001:db8::350:3200:0/104 | 2001:db8::350:32ff:ffff |
| 52 | 2001:db8::350:3300:0/104 | 2001:db8::350:33ff:ffff |
| 53 | 2001:db8::350:3400:0/104 | 2001:db8::350:34ff:ffff |
| 54 | 2001:db8::350:3500:0/104 | 2001:db8::350:35ff:ffff |
| 55 | 2001:db8::350:3600:0/104 | 2001:db8::350:36ff:ffff |
| 56 | 2001:db8::350:3700:0/104 | 2001:db8::350:37ff:ffff |
| 57 | 2001:db8::350:3800:0/104 | 2001:db8::350:38ff:ffff |
| 58 | 2001:db8::350:3900:0/104 | 2001:db8::350:39ff:ffff |
| 59 | 2001:db8::350:3a00:0/104 | 2001:db8::350:3aff:ffff |
| 60 | 2001:db8::350:3b00:0/104 | 2001:db8::350:3bff:ffff |
| 61 | 2001:db8::350:3c00:0/104 | 2001:db8::350:3cff:ffff |
| 62 | 2001:db8::350:3d00:0/104 | 2001:db8::350:3dff:ffff |
| 63 | 2001:db8::350:3e00:0/104 | 2001:db8::350:3eff:ffff |
| 64 | 2001:db8::350:3f00:0/104 | 2001:db8::350:3fff:ffff |
| 65 | 2001:db8::350:4000:0/104 | 2001:db8::350:40ff:ffff |
| 66 | 2001:db8::350:4100:0/104 | 2001:db8::350:41ff:ffff |
| 67 | 2001:db8::350:4200:0/104 | 2001:db8::350:42ff:ffff |
| 68 | 2001:db8::350:4300:0/104 | 2001:db8::350:43ff:ffff |
| 69 | 2001:db8::350:4400:0/104 | 2001:db8::350:44ff:ffff |
| 70 | 2001:db8::350:4500:0/104 | 2001:db8::350:45ff:ffff |
| 71 | 2001:db8::350:4600:0/104 | 2001:db8::350:46ff:ffff |
| 72 | 2001:db8::350:4700:0/104 | 2001:db8::350:47ff:ffff |
| 73 | 2001:db8::350:4800:0/104 | 2001:db8::350:48ff:ffff |
| 74 | 2001:db8::350:4900:0/104 | 2001:db8::350:49ff:ffff |
| 75 | 2001:db8::350:4a00:0/104 | 2001:db8::350:4aff:ffff |
| 76 | 2001:db8::350:4b00:0/104 | 2001:db8::350:4bff:ffff |
| 77 | 2001:db8::350:4c00:0/104 | 2001:db8::350:4cff:ffff |
| 78 | 2001:db8::350:4d00:0/104 | 2001:db8::350:4dff:ffff |
| 79 | 2001:db8::350:4e00:0/104 | 2001:db8::350:4eff:ffff |
| 80 | 2001:db8::350:4f00:0/104 | 2001:db8::350:4fff:ffff |
| 81 | 2001:db8::350:5000:0/104 | 2001:db8::350:50ff:ffff |
| 82 | 2001:db8::350:5100:0/104 | 2001:db8::350:51ff:ffff |
| 83 | 2001:db8::350:5200:0/104 | 2001:db8::350:52ff:ffff |
| 84 | 2001:db8::350:5300:0/104 | 2001:db8::350:53ff:ffff |
| 85 | 2001:db8::350:5400:0/104 | 2001:db8::350:54ff:ffff |
| 86 | 2001:db8::350:5500:0/104 | 2001:db8::350:55ff:ffff |
| 87 | 2001:db8::350:5600:0/104 | 2001:db8::350:56ff:ffff |
| 88 | 2001:db8::350:5700:0/104 | 2001:db8::350:57ff:ffff |
| 89 | 2001:db8::350:5800:0/104 | 2001:db8::350:58ff:ffff |
| 90 | 2001:db8::350:5900:0/104 | 2001:db8::350:59ff:ffff |
| 91 | 2001:db8::350:5a00:0/104 | 2001:db8::350:5aff:ffff |
| 92 | 2001:db8::350:5b00:0/104 | 2001:db8::350:5bff:ffff |
| 93 | 2001:db8::350:5c00:0/104 | 2001:db8::350:5cff:ffff |
| 94 | 2001:db8::350:5d00:0/104 | 2001:db8::350:5dff:ffff |
| 95 | 2001:db8::350:5e00:0/104 | 2001:db8::350:5eff:ffff |
| 96 | 2001:db8::350:5f00:0/104 | 2001:db8::350:5fff:ffff |
| 97 | 2001:db8::350:6000:0/104 | 2001:db8::350:60ff:ffff |
| 98 | 2001:db8::350:6100:0/104 | 2001:db8::350:61ff:ffff |
| 99 | 2001:db8::350:6200:0/104 | 2001:db8::350:62ff:ffff |
| 100 | 2001:db8::350:6300:0/104 | 2001:db8::350:63ff:ffff |
| 101 | 2001:db8::350:6400:0/104 | 2001:db8::350:64ff:ffff |
| 102 | 2001:db8::350:6500:0/104 | 2001:db8::350:65ff:ffff |
| 103 | 2001:db8::350:6600:0/104 | 2001:db8::350:66ff:ffff |
| 104 | 2001:db8::350:6700:0/104 | 2001:db8::350:67ff:ffff |
| 105 | 2001:db8::350:6800:0/104 | 2001:db8::350:68ff:ffff |
| 106 | 2001:db8::350:6900:0/104 | 2001:db8::350:69ff:ffff |
| 107 | 2001:db8::350:6a00:0/104 | 2001:db8::350:6aff:ffff |
| 108 | 2001:db8::350:6b00:0/104 | 2001:db8::350:6bff:ffff |
| 109 | 2001:db8::350:6c00:0/104 | 2001:db8::350:6cff:ffff |
| 110 | 2001:db8::350:6d00:0/104 | 2001:db8::350:6dff:ffff |
| 111 | 2001:db8::350:6e00:0/104 | 2001:db8::350:6eff:ffff |
| 112 | 2001:db8::350:6f00:0/104 | 2001:db8::350:6fff:ffff |
| 113 | 2001:db8::350:7000:0/104 | 2001:db8::350:70ff:ffff |
| 114 | 2001:db8::350:7100:0/104 | 2001:db8::350:71ff:ffff |
| 115 | 2001:db8::350:7200:0/104 | 2001:db8::350:72ff:ffff |
| 116 | 2001:db8::350:7300:0/104 | 2001:db8::350:73ff:ffff |
| 117 | 2001:db8::350:7400:0/104 | 2001:db8::350:74ff:ffff |
| 118 | 2001:db8::350:7500:0/104 | 2001:db8::350:75ff:ffff |
| 119 | 2001:db8::350:7600:0/104 | 2001:db8::350:76ff:ffff |
| 120 | 2001:db8::350:7700:0/104 | 2001:db8::350:77ff:ffff |
| 121 | 2001:db8::350:7800:0/104 | 2001:db8::350:78ff:ffff |
| 122 | 2001:db8::350:7900:0/104 | 2001:db8::350:79ff:ffff |
| 123 | 2001:db8::350:7a00:0/104 | 2001:db8::350:7aff:ffff |
| 124 | 2001:db8::350:7b00:0/104 | 2001:db8::350:7bff:ffff |
| 125 | 2001:db8::350:7c00:0/104 | 2001:db8::350:7cff:ffff |
| 126 | 2001:db8::350:7d00:0/104 | 2001:db8::350:7dff:ffff |
| 127 | 2001:db8::350:7e00:0/104 | 2001:db8::350:7eff:ffff |
| 128 | 2001:db8::350:7f00:0/104 | 2001:db8::350:7fff:ffff |
| 129 | 2001:db8::350:8000:0/104 | 2001:db8::350:80ff:ffff |
| 130 | 2001:db8::350:8100:0/104 | 2001:db8::350:81ff:ffff |
| 131 | 2001:db8::350:8200:0/104 | 2001:db8::350:82ff:ffff |
| 132 | 2001:db8::350:8300:0/104 | 2001:db8::350:83ff:ffff |
| 133 | 2001:db8::350:8400:0/104 | 2001:db8::350:84ff:ffff |
| 134 | 2001:db8::350:8500:0/104 | 2001:db8::350:85ff:ffff |
| 135 | 2001:db8::350:8600:0/104 | 2001:db8::350:86ff:ffff |
| 136 | 2001:db8::350:8700:0/104 | 2001:db8::350:87ff:ffff |
| 137 | 2001:db8::350:8800:0/104 | 2001:db8::350:88ff:ffff |
| 138 | 2001:db8::350:8900:0/104 | 2001:db8::350:89ff:ffff |
| 139 | 2001:db8::350:8a00:0/104 | 2001:db8::350:8aff:ffff |
| 140 | 2001:db8::350:8b00:0/104 | 2001:db8::350:8bff:ffff |
| 141 | 2001:db8::350:8c00:0/104 | 2001:db8::350:8cff:ffff |
| 142 | 2001:db8::350:8d00:0/104 | 2001:db8::350:8dff:ffff |
| 143 | 2001:db8::350:8e00:0/104 | 2001:db8::350:8eff:ffff |
| 144 | 2001:db8::350:8f00:0/104 | 2001:db8::350:8fff:ffff |
| 145 | 2001:db8::350:9000:0/104 | 2001:db8::350:90ff:ffff |
| 146 | 2001:db8::350:9100:0/104 | 2001:db8::350:91ff:ffff |
| 147 | 2001:db8::350:9200:0/104 | 2001:db8::350:92ff:ffff |
| 148 | 2001:db8::350:9300:0/104 | 2001:db8::350:93ff:ffff |
| 149 | 2001:db8::350:9400:0/104 | 2001:db8::350:94ff:ffff |
| 150 | 2001:db8::350:9500:0/104 | 2001:db8::350:95ff:ffff |
| 151 | 2001:db8::350:9600:0/104 | 2001:db8::350:96ff:ffff |
| 152 | 2001:db8::350:9700:0/104 | 2001:db8::350:97ff:ffff |
| 153 | 2001:db8::350:9800:0/104 | 2001:db8::350:98ff:ffff |
| 154 | 2001:db8::350:9900:0/104 | 2001:db8::350:99ff:ffff |
| 155 | 2001:db8::350:9a00:0/104 | 2001:db8::350:9aff:ffff |
| 156 | 2001:db8::350:9b00:0/104 | 2001:db8::350:9bff:ffff |
| 157 | 2001:db8::350:9c00:0/104 | 2001:db8::350:9cff:ffff |
| 158 | 2001:db8::350:9d00:0/104 | 2001:db8::350:9dff:ffff |
| 159 | 2001:db8::350:9e00:0/104 | 2001:db8::350:9eff:ffff |
| 160 | 2001:db8::350:9f00:0/104 | 2001:db8::350:9fff:ffff |
| 161 | 2001:db8::350:a000:0/104 | 2001:db8::350:a0ff:ffff |
| 162 | 2001:db8::350:a100:0/104 | 2001:db8::350:a1ff:ffff |
| 163 | 2001:db8::350:a200:0/104 | 2001:db8::350:a2ff:ffff |
| 164 | 2001:db8::350:a300:0/104 | 2001:db8::350:a3ff:ffff |
| 165 | 2001:db8::350:a400:0/104 | 2001:db8::350:a4ff:ffff |
| 166 | 2001:db8::350:a500:0/104 | 2001:db8::350:a5ff:ffff |
| 167 | 2001:db8::350:a600:0/104 | 2001:db8::350:a6ff:ffff |
| 168 | 2001:db8::350:a700:0/104 | 2001:db8::350:a7ff:ffff |
| 169 | 2001:db8::350:a800:0/104 | 2001:db8::350:a8ff:ffff |
| 170 | 2001:db8::350:a900:0/104 | 2001:db8::350:a9ff:ffff |
| 171 | 2001:db8::350:aa00:0/104 | 2001:db8::350:aaff:ffff |
| 172 | 2001:db8::350:ab00:0/104 | 2001:db8::350:abff:ffff |
| 173 | 2001:db8::350:ac00:0/104 | 2001:db8::350:acff:ffff |
| 174 | 2001:db8::350:ad00:0/104 | 2001:db8::350:adff:ffff |
| 175 | 2001:db8::350:ae00:0/104 | 2001:db8::350:aeff:ffff |
| 176 | 2001:db8::350:af00:0/104 | 2001:db8::350:afff:ffff |
| 177 | 2001:db8::350:b000:0/104 | 2001:db8::350:b0ff:ffff |
| 178 | 2001:db8::350:b100:0/104 | 2001:db8::350:b1ff:ffff |
| 179 | 2001:db8::350:b200:0/104 | 2001:db8::350:b2ff:ffff |
| 180 | 2001:db8::350:b300:0/104 | 2001:db8::350:b3ff:ffff |
| 181 | 2001:db8::350:b400:0/104 | 2001:db8::350:b4ff:ffff |
| 182 | 2001:db8::350:b500:0/104 | 2001:db8::350:b5ff:ffff |
| 183 | 2001:db8::350:b600:0/104 | 2001:db8::350:b6ff:ffff |
| 184 | 2001:db8::350:b700:0/104 | 2001:db8::350:b7ff:ffff |
| 185 | 2001:db8::350:b800:0/104 | 2001:db8::350:b8ff:ffff |
| 186 | 2001:db8::350:b900:0/104 | 2001:db8::350:b9ff:ffff |
| 187 | 2001:db8::350:ba00:0/104 | 2001:db8::350:baff:ffff |
| 188 | 2001:db8::350:bb00:0/104 | 2001:db8::350:bbff:ffff |
| 189 | 2001:db8::350:bc00:0/104 | 2001:db8::350:bcff:ffff |
| 190 | 2001:db8::350:bd00:0/104 | 2001:db8::350:bdff:ffff |
| 191 | 2001:db8::350:be00:0/104 | 2001:db8::350:beff:ffff |
| 192 | 2001:db8::350:bf00:0/104 | 2001:db8::350:bfff:ffff |
| 193 | 2001:db8::350:c000:0/104 | 2001:db8::350:c0ff:ffff |
| 194 | 2001:db8::350:c100:0/104 | 2001:db8::350:c1ff:ffff |
| 195 | 2001:db8::350:c200:0/104 | 2001:db8::350:c2ff:ffff |
| 196 | 2001:db8::350:c300:0/104 | 2001:db8::350:c3ff:ffff |
| 197 | 2001:db8::350:c400:0/104 | 2001:db8::350:c4ff:ffff |
| 198 | 2001:db8::350:c500:0/104 | 2001:db8::350:c5ff:ffff |
| 199 | 2001:db8::350:c600:0/104 | 2001:db8::350:c6ff:ffff |
| 200 | 2001:db8::350:c700:0/104 | 2001:db8::350:c7ff:ffff |
| 201 | 2001:db8::350:c800:0/104 | 2001:db8::350:c8ff:ffff |
| 202 | 2001:db8::350:c900:0/104 | 2001:db8::350:c9ff:ffff |
| 203 | 2001:db8::350:ca00:0/104 | 2001:db8::350:caff:ffff |
| 204 | 2001:db8::350:cb00:0/104 | 2001:db8::350:cbff:ffff |
| 205 | 2001:db8::350:cc00:0/104 | 2001:db8::350:ccff:ffff |
| 206 | 2001:db8::350:cd00:0/104 | 2001:db8::350:cdff:ffff |
| 207 | 2001:db8::350:ce00:0/104 | 2001:db8::350:ceff:ffff |
| 208 | 2001:db8::350:cf00:0/104 | 2001:db8::350:cfff:ffff |
| 209 | 2001:db8::350:d000:0/104 | 2001:db8::350:d0ff:ffff |
| 210 | 2001:db8::350:d100:0/104 | 2001:db8::350:d1ff:ffff |
| 211 | 2001:db8::350:d200:0/104 | 2001:db8::350:d2ff:ffff |
| 212 | 2001:db8::350:d300:0/104 | 2001:db8::350:d3ff:ffff |
| 213 | 2001:db8::350:d400:0/104 | 2001:db8::350:d4ff:ffff |
| 214 | 2001:db8::350:d500:0/104 | 2001:db8::350:d5ff:ffff |
| 215 | 2001:db8::350:d600:0/104 | 2001:db8::350:d6ff:ffff |
| 216 | 2001:db8::350:d700:0/104 | 2001:db8::350:d7ff:ffff |
| 217 | 2001:db8::350:d800:0/104 | 2001:db8::350:d8ff:ffff |
| 218 | 2001:db8::350:d900:0/104 | 2001:db8::350:d9ff:ffff |
| 219 | 2001:db8::350:da00:0/104 | 2001:db8::350:daff:ffff |
| 220 | 2001:db8::350:db00:0/104 | 2001:db8::350:dbff:ffff |
| 221 | 2001:db8::350:dc00:0/104 | 2001:db8::350:dcff:ffff |
| 222 | 2001:db8::350:dd00:0/104 | 2001:db8::350:ddff:ffff |
| 223 | 2001:db8::350:de00:0/104 | 2001:db8::350:deff:ffff |
| 224 | 2001:db8::350:df00:0/104 | 2001:db8::350:dfff:ffff |
| 225 | 2001:db8::350:e000:0/104 | 2001:db8::350:e0ff:ffff |
| 226 | 2001:db8::350:e100:0/104 | 2001:db8::350:e1ff:ffff |
| 227 | 2001:db8::350:e200:0/104 | 2001:db8::350:e2ff:ffff |
| 228 | 2001:db8::350:e300:0/104 | 2001:db8::350:e3ff:ffff |
| 229 | 2001:db8::350:e400:0/104 | 2001:db8::350:e4ff:ffff |
| 230 | 2001:db8::350:e500:0/104 | 2001:db8::350:e5ff:ffff |
| 231 | 2001:db8::350:e600:0/104 | 2001:db8::350:e6ff:ffff |
| 232 | 2001:db8::350:e700:0/104 | 2001:db8::350:e7ff:ffff |
| 233 | 2001:db8::350:e800:0/104 | 2001:db8::350:e8ff:ffff |
| 234 | 2001:db8::350:e900:0/104 | 2001:db8::350:e9ff:ffff |
| 235 | 2001:db8::350:ea00:0/104 | 2001:db8::350:eaff:ffff |
| 236 | 2001:db8::350:eb00:0/104 | 2001:db8::350:ebff:ffff |
| 237 | 2001:db8::350:ec00:0/104 | 2001:db8::350:ecff:ffff |
| 238 | 2001:db8::350:ed00:0/104 | 2001:db8::350:edff:ffff |
| 239 | 2001:db8::350:ee00:0/104 | 2001:db8::350:eeff:ffff |
| 240 | 2001:db8::350:ef00:0/104 | 2001:db8::350:efff:ffff |
| 241 | 2001:db8::350:f000:0/104 | 2001:db8::350:f0ff:ffff |
| 242 | 2001:db8::350:f100:0/104 | 2001:db8::350:f1ff:ffff |
| 243 | 2001:db8::350:f200:0/104 | 2001:db8::350:f2ff:ffff |
| 244 | 2001:db8::350:f300:0/104 | 2001:db8::350:f3ff:ffff |
| 245 | 2001:db8::350:f400:0/104 | 2001:db8::350:f4ff:ffff |
| 246 | 2001:db8::350:f500:0/104 | 2001:db8::350:f5ff:ffff |
| 247 | 2001:db8::350:f600:0/104 | 2001:db8::350:f6ff:ffff |
| 248 | 2001:db8::350:f700:0/104 | 2001:db8::350:f7ff:ffff |
| 249 | 2001:db8::350:f800:0/104 | 2001:db8::350:f8ff:ffff |
| 250 | 2001:db8::350:f900:0/104 | 2001:db8::350:f9ff:ffff |
| 251 | 2001:db8::350:fa00:0/104 | 2001:db8::350:faff:ffff |
| 252 | 2001:db8::350:fb00:0/104 | 2001:db8::350:fbff:ffff |
| 253 | 2001:db8::350:fc00:0/104 | 2001:db8::350:fcff:ffff |
| 254 | 2001:db8::350:fd00:0/104 | 2001:db8::350:fdff:ffff |
| 255 | 2001:db8::350:fe00:0/104 | 2001:db8::350:feff:ffff |
| 256 | 2001:db8::350:ff00:0/104 | 2001:db8::350:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |